<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.ExcelExportTemplateMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.storlead.system.pojo.entity.ExcelExportTemplateEntity" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap">
                    <id column="id" property="id" />
                    <result column="template_nme" property="templateNme" />
                    <result column="template_code" property="templateCode" />
                    <result column="interface_address_url" property="interfaceAddressUrl" />
                    <result column="defualt_parameters" property="defualtParameters" />
                    <result column="file_name" property="fileName" />
        </resultMap>

        <!-- 通用查询结果列 -->
        <sql id="Base_Column_List">
            id, template_nme, template_code, file_name,interface_address_url, defualt_parameters, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
        </sql>

</mapper>
